<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-the-Assigned-Server-Information-for-an-OrgDevice",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-orgDevices-{}-assignedServer"
  },
  "title" : "Get the Assigned Device Management Service Information for a Device"
}
-->

# Get the Assigned Device Management Service Information for a Device

Get the assigned device management service information for a device.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/orgDevices/{id}/assignedServer" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
  {
    "data": {
      "type": "mdmServers",
      "id": "1F97349736CF4614A94F624E705841AD",
      "attributes": {
        "serverName": "Test Device Management Service",
        "serverType": "APPLE_CONFIGURATOR",
        "createdDateTime": "2025-05-01T03:21:44.685Z",
        "updatedDateTime": "2025-05-01T03:21:46.284Z"
      },
      "relationships": {
        "devices": {
          "links": {
            "self": "https://api-business.apple.com/v1/mdmServers/1F97349736CF4614A94F624E705841AD/relationships/devices"
          }
        }
      }
    },
    "links": {
      "self": "https://api-business.apple.com/v1/orgDevices/DVVS36G1YD3JKQNI/assignedServer"
    }
  }
```

## Topics

### Responses

[`object MdmServerResponse`](/documentation/AppleBusinessAPI/MdmServerResponse)

A response that contains a single device management service resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)